Bug 1410880 - [RFE] Could we add the Gradle plugin to the supported Jenkins container?
Summary: [RFE] Could we add the Gradle plugin to the supported Jenkins container?
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ben Parees
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 17:04 UTC by Jeremy Davis
Modified: 2018-03-12 13:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 13:54:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jeremy Davis 2017-01-06 17:04:05 UTC
Description of problem:

I have run into a couple of customers using Gradle.  They would like to have the Gradle plugin available in the default Jenkins container.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Ben Parees 2017-05-25 14:14:50 UTC
do they want it in the jenkins master, or one of the jenkins slaves?

Comment 3 Ben Parees 2017-05-25 14:17:22 UTC
PR to add it to the slaves, but we don't have a rhel rpm for it which will hold this up:
https://github.com/openshift/jenkins/pull/298

Comment 4 Javier Ramirez 2017-05-29 08:03:39 UTC
(In reply to Ben Parees from comment #2)
> do they want it in the jenkins master, or one of the jenkins slaves?

Jenkins slaves is enough, but actually their request is for a generic support for gradle:

"Gradle is becoming more and more popular as a buiild tool, especially for spring-based software.  
This request is for the maven-based s2i module to look for and execute a buid.gradle file in the home directory if a maven.pom file is not found."

I can open another bugzilla to track the generic request if you prefer that way.

Comment 5 Ben Parees 2017-05-30 03:04:30 UTC
> I can open another bugzilla to track the generic request if you prefer that way.

s2i image support for grade would definitely be a separate RFE.  It would be something to be added to either the new s2i-java image, or the s2i-eap and s2i-tomcat images (or all 3).

Comment 6 Javier Ramirez 2017-06-02 07:44:42 UTC
Open another RFE:
Bug 1458157 - [RFE] s2i image support for gradle

Comment 7 Eric Rich 2018-03-12 13:54:36 UTC
This bug has been identified as a dated (created more than 3 months ago) bug. 
This bug has been triaged (has a trello card linked to it), or reviewed by Engineering/PM and has been put into the product backlog, 
however this bug has not been slated for a currently planned release (3.9, 3.10 or 3.11), which cover our releases for the rest of the calendar year. 

As a result of this bugs age, state on the current roadmap and PM Score (being below 70), this bug is being Closed - Differed, 
as it is currently not part of the products immediate priorities.

Please see: https://docs.google.com/document/d/1zdqF4rB3ea8GmVIZ7qWCVYUaQ7-EexUrQEF0MTwdDkw/edit for more details.


Note You need to log in before you can comment on or make changes to this bug.